Bug 178948 - devel/jenkins - Update to 1.515
devel/jenkins - Update to 1.515
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Li-Wen Hsu
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 12:50 UTC by c.kworr
Modified: 2013-07-05 20:20 UTC (History)
0 users

See Also:


Attachments
file.diff (795 bytes, patch)
2013-05-24 12:50 UTC, c.kworr
no flags Details | Diff
jenkins.txt (946 bytes, text/plain; charset=UTF-8)
2013-06-10 15:51 UTC, c.kworr
no flags Details
jenkins.txt (946 bytes, text/plain; charset=UTF-8)
2013-06-26 16:26 UTC, c.kworr
no flags Details
jenkins.txt (946 bytes, text/plain; charset=UTF-8)
2013-07-03 14:12 UTC, c.kworr
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description c.kworr 2013-05-24 12:50:00 UTC
What's new in 1.515 (2013/05/18)

    Windows services now auto-restart in case of abnormal process termination.
    <f:dropdownDescriptorSelector> does not allow defaulting to specifig instance (issue 17858)
    mark maven settings / global settings as default for new jobs (issue 17723)
    Display Name is not shown. (issue 17715)
    Symlink handling problem with build permalinks on Windows. (issue 17681)
    List views missing a required field were unloadable. (issue 15309)
    Maven module artifacts were not being deleted by the log rotator. (issue 17508)
    Properly find parent POMs when fingerprinting a Maven project. (issue 17775)
    Allow the combination filter to accept parameter values. (issue 7285)
    Extension point to transform test names (for use with alternative JVM languages). (issue 17478)

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-05-24 12:50:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lwhsu

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 c.kworr 2013-06-10 15:51:12 UTC
Hi there.

While some time has passed I'm in with new patch up to version 1.517.

Changes from 1.515 to 1.517:

What's new in 1.517 (2013/06/02)

     Enable word breaking in potentially long strings like job names. 
(issue 17030)
     Allow filtering of the Run parameter build list by result. (issue 7280)
     Add support for scalatest-maven-plugin. (issue 18086)
     When copying a folder, the display names of contained jobs were 
gratuitously cleared. (issue 18074)
     âRecurse in subfoldersâ option for list views produced exceptions 
when used with native Maven projects. (issue 18025)
     Using proper directory separator character for permalinks on 
Windows. (issue 17681)

What's new in 1.516 (2013/05/27)

     NPE from Run.getDynamic. (issue 17935)
     Should be able to collect all log records at a given level using a 
blank logger name. (issue 17983)
     Reworked Upload Plugin gesture to work more like installation from 
an update center, and in particular to support dynamic load. (issue 16652)
     Errors in init.groovy halted startup; changed to just log a 
warning. (issue 17933)

Even more, version 1.515 had two major bug fixes. It's really time to 
update.

-- 
Sphinx of black quartz, judge my vow.
Comment 3 c.kworr 2013-06-26 16:26:55 UTC
Hello.

While some time has passed again here is updated patch.

What's new in 1.520 (2013/06/25)

     Slave launch thread should have the background activity credential. 
(issue 15578)
     âBuild Nowâ link did not work for multijobs. (issue 16974)
     Unix vs. Windows mode not correctly retained for command launchers 
under some conditions. (issue 18368)
     Edit views with non-ASCII names did not work since 1.500. (issue 18373)
     Fixed API incompatibility since 1.489. (issue 18356)
     âProjects tied to slaveâ shows unrelated Maven module jobs. (issue 
17451)
     Fixed file descriptor leak in fingerprint computation. (issue 18351)
     Test history was not shown if suite name was part of the test name. 
(issue 15380)
     Added a new extension point to monitor the flow of stuff in the queue.
     Added a new extension point to monitor the provisioning of nodes 
from clouds. (pull request 819)
     Possible to create a custom AbstractDiskSpaceMonitor.
     Executors running the builds can be now a subject of access 
control. (issue 18285)
     Core started relying on Java 1.6 as per the agreement in the dev 
list. If you have a serious objection against it, please let us know 
before we really start relying on 1.6 features.
     Some actions confirmed by dialog were not working when CSRF crumbs 
were enabled. (issue 17977) (issue 18032)
     CLI list-jobs command should list all nested jobs. (pull request 793)
     Provide a mechanism to differentiate between node properties that 
are applicable to the master node only and node properties that can be 
applied to all nodes (issue 18381)
     Maven module links in the module list page are broken. (issue 17713)
     100% CPU pegging in Deflator.deflateBytes (issue 14362)

What's new in 1.519 (2013/06/17)

     Log cluttered with irrelevant warnings about build timestamps when 
running on Windows on Java 6. (issue 15587)
     Fingerprint action deserialization problem fixed. (issue 17125)
     Updating the master computer's configuration from the slave list UI 
had no immediate effect. (issue 17276)
     Improved the tracking of queued jobs and their eventual builds in 
the REST API.
     Configured log recorders can now pick up messages logged from 
slaves. (issue 18274)
     Added a new extension point to contribute custom plexus components 
into Maven for the maven project type.
     Remoting classloader performance improvement upon reconnection to 
the same slave. (issue 15120)

What's new in 1.518 (2013/06/11)

     NPE in DefaultMatrixExecutionStrategyImpl.waitForCompletion. (issue 
18024)
     Optimizations in fingerprint recording. (issue 16301)
     Using JNR-POSIX rather than JNA-POSIX for better platform support. 
(issue 14351)
     Errors searching build records when builds were misordered. (issue 
15652)
     Finding the last failed build for a job (e.g. from a view column) 
broke lazy loading. (issue 16023)
     Do not fail startup in case ListView.includeRegex was syntactically 
malformed.
     CSS stylesheets misrendered in Chrome due to caching. (issue 17684)
     User icon in People broken if Jenkins root URL unconfigured. (issue 
18118)
     Progress bar sometimes broken in People. (issue 18119)

-- 
Sphinx of black quartz, judge my vow.
Comment 4 c.kworr 2013-07-03 14:12:25 UTC
Hello.

One version more:

What's new in 1.521 (2013/07/02)

     Build with parameters returns empty web page (issue 18425)
     Access denied error results in ERR_CONTENT_DECODING_FAILED on most 
browsers, masking the root cause. (issue 15437)
     Fixed the master/slave handshake problem when a slave runs on 
non-ASCII compatible encoding (such as EBCDIC.)
     Added a diagnosis for StreamCorruptedException problem (issue 8856)
     Matrix project's parent can be now tied to labels/slaves. (issue 7825)
     Clean up fingerprint records that correspond to the deleted build 
recods (issue 18417)
     Fixed "Comparison method violates its general contract" error in 
BuildTrigger.execute (issue 17247)
     Edited description wasn't reflected when pressing the "Apply" 
button. (issue 18436)
     Fixed a regression in remoting since 1.519 that caused FindBugs 
plugins to break. (issue 18349, issue 18405)
     Revisited the extension point added in 1.519 that adds custom 
plexus components.

-- 
Sphinx of black quartz, judge my vow.
Comment 5 dfilter freebsd_committer 2013-07-05 20:16:01 UTC
Author: lwhsu
Date: Fri Jul  5 19:15:48 2013
New Revision: 322350
URL: http://svnweb.freebsd.org/changeset/ports/322350

Log:
  - Update to 1.521 [1] [2]
  - Improve rc script,
    use `su -l` for execuing jenkins for fresh environment [3]
  
  PR:		ports/178948 [1] ports/179456 [2] ports/178197 [3]
  Submitted by:	Volodymyr Kostyrko <c.kworr@gmail.com> [1]
  		skreuzer [2]
  		Mikhail Krasilnikov <mk@dvaslona.ru> [3]

Modified:
  head/UIDs
  head/devel/jenkins/Makefile
  head/devel/jenkins/distinfo
  head/devel/jenkins/files/jenkins.in

Modified: head/UIDs
==============================================================================
--- head/UIDs	Fri Jul  5 19:12:56 2013	(r322349)
+++ head/UIDs	Fri Jul  5 19:15:48 2013	(r322350)
@@ -196,7 +196,7 @@ bnetd:*:700:700::0:0:Bnetd user:/nonexis
 bopm:*:717:717::0:0:Blitzed Open Proxy Monitor:/nonexistent:/bin/sh
 openxpki:*:777:777::0:0:OpenXPKI Owner:/nonexistent:/usr/sbin/nologin
 puppet:*:814:814::0:0:Puppet Daemon:/nonexistent:/usr/sbin/nologin
-jenkins:*:818:818::0:0:Jenkins CI:/usr/local/jenkins:/usr/sbin/nologin
+jenkins:*:818:818::0:0:Jenkins CI:/usr/local/jenkins:/bin/sh
 openacs:*:820:820::0:0:OpenACS Daemon User:/nonexistent:/usr/sbin/nologin
 dotlrn:*:821:821::0:0:.LRN Daemon User:/nonexistent:/usr/sbin/nologin
 polw:*:825:825::0:0:Policyd-weight Cache Owner:/nonexistent:/sbin/nologin

Modified: head/devel/jenkins/Makefile
==============================================================================
--- head/devel/jenkins/Makefile	Fri Jul  5 19:12:56 2013	(r322349)
+++ head/devel/jenkins/Makefile	Fri Jul  5 19:15:48 2013	(r322350)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	jenkins
-PORTVERSION=	1.514
+PORTVERSION=	1.521
 CATEGORIES=	devel java
 MASTER_SITES=	http://mirrors.jenkins-ci.org/war/${PORTVERSION}/
 DISTNAME=	jenkins

Modified: head/devel/jenkins/distinfo
==============================================================================
--- head/devel/jenkins/distinfo	Fri Jul  5 19:12:56 2013	(r322349)
+++ head/devel/jenkins/distinfo	Fri Jul  5 19:15:48 2013	(r322350)
@@ -1,2 +1,2 @@
-SHA256 (jenkins/1.514/jenkins.war) = a1511e3926dbead09f9f4cf7a3f81e0953a415e070d800c04755ae8efd056475
-SIZE (jenkins/1.514/jenkins.war) = 56824686
+SHA256 (jenkins/1.521/jenkins.war) = a48d8f82de2c96e09977f22b1bbb024c13066b2e75e734a0c5aa1cf980ade88c
+SIZE (jenkins/1.521/jenkins.war) = 61308761

Modified: head/devel/jenkins/files/jenkins.in
==============================================================================
--- head/devel/jenkins/files/jenkins.in	Fri Jul  5 19:12:56 2013	(r322349)
+++ head/devel/jenkins/files/jenkins.in	Fri Jul  5 19:15:48 2013	(r322350)
@@ -64,6 +64,7 @@ command_args="-p ${pidfile} ${java_cmd} 
 required_files="${java_cmd}"
 
 start_precmd="jenkins_prestart"
+start_cmd="jenkins_command start"
 
 jenkins_prestart() {
 	if [ ! -f "${jenkins_log_file}" ]; then
@@ -79,4 +80,13 @@ jenkins_prestart() {
 	fi
 }
 
+jenkins_command()
+{
+	check_startmsgs && echo "Starting ${name}."
+	su -l ${jenkins_user} -c "exec ${command} ${command_args} ${rc_arg}"
+}
+
+export HOME=${jenkins_home}
+cd ${HOME}
+
 run_rc_command "$1"
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Li-Wen Hsu freebsd_committer 2013-07-05 20:16:56 UTC
State Changed
From-To: open->closed

Committed. Thanks!